Posted on 2 août 2010 in Wordpress | 4 comments

Un serveur Linux ou Windows ?

C’est arrivé à l’une de mes clientes trop pressée lors de sa commande d’un pack chez un hébergeur. Elle s’est dit : « mon ordinateur est en Windows donc je prends un hébergement Windows ». Erreur magistrale.

Le choix du type d’hébergement dépend de vos besoins, du genre de site web ou blog que vous désirez installer.  Pour WordPress il faut prendre un hébergement Linux (mutualisé ou serveur dédié). WordPress utilise le PHP et des bases de données en SQL. Précisément, il vous faut un hébergeur qui offre un service MySQL 5 et PHP version 5.2. Et dans un avenir plus que proche (2011), il vous faudra une version MySQL 5.0.15 (minimum) pour WordPress 3.2. Autrement dit, WordPress 3.2 ne fonctionnera plus avec PHP 4 et MySQL 4.

Pour en revenir au sujet, le type d’hébergement correspond aux serveurs utilisés et est indépendant de votre ordinateur (qu’il soit en Linux, Mac ou Windows).

Un serveur Windows utilise les technologies Microsoft, on travaillera avec Microsoft Access et les langages de programmation comme ASP, ASP.NET, Access, MSSQL,VB/C. La mise en ligne se fait via des extensions FrontPage. Il est pourtant possible de faire tourner du PHP sous un serveur Windows, mais la prise en charge convient plus aux programmeurs qu’aux utilisateurs lambdas. En sus il n’est pas gratuit donc le pack sera plus cher.

Un serveur Linux utilise les technologies dites d’Open Sources ou GNU et travaille avec les langages de programmation comme PHP, MySQL, HTML, PHP, Perl, CGI , Python. La mise en ligne se fait via un logiciel FTP. Ce type d’hébergement convient au grand public et reste préconisée pour les débutants en hébergements et informatique en général. Derniers points : Linux est plus stable et gratuit. Si vous voulez installer un forum (phpbb) ou WordPress, il vous faut un pack d’hébergement sous Linux.

sources:

WordPress 3.2 exigera MySQL 5 et PHP 5.2 !

P.-S. : Vous pouvez utiliser un plugin afin de vérifier que votre environnement sera compatible, les erreurs de votre installation et problèmes : Health Check.